# 4-connected gridworld of size 8x32.  There are two dynamic
# "troll-like" obstacles.  One can move in the rectangle with corners
# (1,0) and (2,7), and the other with corners (14,0) and (15,7).


ENV: obs1_x [0,2] obs1_y [0,7] obs2_x [0,15] obs2_y [0,7];
SYS: x [0,31] y [0,7];

ENVINIT: obs1_x=1 & obs1_y=0 & obs2_x=14 & obs2_y=0;
ENVTRANS:
  []((obs1_x=1) -> (obs1_x'=2 | obs1_x'=1))
& []((obs1_x=2) -> (obs1_x'=2 | obs1_x'=1))

& []((obs1_y=0) -> (obs1_y'=0 | obs1_y'=1))
& []((obs1_y=1) -> (obs1_y'=0 | obs1_y'=1 | obs1_y'=2))
& []((obs1_y=2) -> (obs1_y'=1 | obs1_y'=2 | obs1_y'=3))
& []((obs1_y=3) -> (obs1_y'=2 | obs1_y'=3 | obs1_y'=4))
& []((obs1_y=4) -> (obs1_y'=3 | obs1_y'=4 | obs1_y'=5))
& []((obs1_y=5) -> (obs1_y'=4 | obs1_y'=5 | obs1_y'=6))
& []((obs1_y=6) -> (obs1_y'=5 | obs1_y'=6 | obs1_y'=7))
& []((obs1_y=7) -> (obs1_y'=6 | obs1_y'=7))

& []((obs1_x=1 & obs1_x'=1) | (obs1_x=2 & obs1_x'=2) | (obs1_y=0 & obs1_y'=0) | (obs1_y=1 & obs1_y'=1) | (obs1_y=2 & obs1_y'=2) | (obs1_y=3 & obs1_y'=3) | (obs1_y=4 & obs1_y'=4) | (obs1_y=5 & obs1_y'=5) | (obs1_y=6 & obs1_y'=6) | (obs1_y=7 & obs1_y'=7))

& []!(obs1_x'=0)
& []!(obs1_x'=3)

& []((obs2_x=14) -> (obs2_x'=14 | obs2_x'=15))
& []((obs2_x=15) -> (obs2_x'=14 | obs2_x'=15))

& []((obs2_y=0) -> (obs2_y'=0 | obs2_y'=1))
& []((obs2_y=1) -> (obs2_y'=0 | obs2_y'=1 | obs2_y'=2))
& []((obs2_y=2) -> (obs2_y'=1 | obs2_y'=2 | obs2_y'=3))
& []((obs2_y=3) -> (obs2_y'=2 | obs2_y'=3 | obs2_y'=4))
& []((obs2_y=4) -> (obs2_y'=3 | obs2_y'=4 | obs2_y'=5))
& []((obs2_y=5) -> (obs2_y'=4 | obs2_y'=5 | obs2_y'=6))
& []((obs2_y=6) -> (obs2_y'=5 | obs2_y'=6 | obs2_y'=7))
& []((obs2_y=7) -> (obs2_y'=6 | obs2_y'=7))

& []((obs2_x=14 & obs2_x'=14) | (obs2_x=15 & obs2_x'=15) | (obs2_y=0 & obs2_y'=0) | (obs2_y=1 & obs2_y'=1) | (obs2_y=2 & obs2_y'=2) | (obs2_y=3 & obs2_y'=3) | (obs2_y=4 & obs2_y'=4) | (obs2_y=5 & obs2_y'=5) | (obs2_y=6 & obs2_y'=6) | (obs2_y=7 & obs2_y'=7))

& []!(obs2_x'=0)
& []!(obs2_x'=1)
& []!(obs2_x'=2)
& []!(obs2_x'=3)
& []!(obs2_x'=4)
& []!(obs2_x'=5)
& []!(obs2_x'=6)
& []!(obs2_x'=7)
& []!(obs2_x'=8)
& []!(obs2_x'=9)
& []!(obs2_x'=10)
& []!(obs2_x'=11)
& []!(obs2_x'=12)
& []!(obs2_x'=13)
;
ENVGOAL: []<>(obs1_x=1 & obs1_y=0) & []<>(obs2_x=14 & obs2_y=0);

SYSINIT: x=31 & y=7;

SYSTRANS:
  []((x=0) -> (x'=0 | x'=1))
& []((x=1) -> (x'=0 | x'=1 | x'=2))
& []((x=2) -> (x'=1 | x'=2 | x'=3))
& []((x=3) -> (x'=2 | x'=3 | x'=4))
& []((x=4) -> (x'=3 | x'=4 | x'=5))
& []((x=5) -> (x'=4 | x'=5 | x'=6))
& []((x=6) -> (x'=5 | x'=6 | x'=7))
& []((x=7) -> (x'=6 | x'=7 | x'=8))
& []((x=8) -> (x'=7 | x'=8 | x'=9))
& []((x=9) -> (x'=8 | x'=9 | x'=10))
& []((x=10) -> (x'=9 | x'=10 | x'=11))
& []((x=11) -> (x'=10 | x'=11 | x'=12))
& []((x=12) -> (x'=11 | x'=12 | x'=13))
& []((x=13) -> (x'=12 | x'=13 | x'=14))
& []((x=14) -> (x'=13 | x'=14 | x'=15))
& []((x=15) -> (x'=14 | x'=15 | x'=16))
& []((x=16) -> (x'=15 | x'=16 | x'=17))
& []((x=17) -> (x'=16 | x'=17 | x'=18))
& []((x=18) -> (x'=17 | x'=18 | x'=19))
& []((x=19) -> (x'=18 | x'=19 | x'=20))
& []((x=20) -> (x'=19 | x'=20 | x'=21))
& []((x=21) -> (x'=20 | x'=21 | x'=22))
& []((x=22) -> (x'=21 | x'=22 | x'=23))
& []((x=23) -> (x'=22 | x'=23 | x'=24))
& []((x=24) -> (x'=23 | x'=24 | x'=25))
& []((x=25) -> (x'=24 | x'=25 | x'=26))
& []((x=26) -> (x'=25 | x'=26 | x'=27))
& []((x=27) -> (x'=26 | x'=27 | x'=28))
& []((x=28) -> (x'=27 | x'=28 | x'=29))
& []((x=29) -> (x'=28 | x'=29 | x'=30))
& []((x=30) -> (x'=29 | x'=30 | x'=31))
& []((x=31) -> (x'=30 | x'=31))
& []((y=0) -> (y'=0 | y'=1))
& []((y=1) -> (y'=0 | y'=1 | y'=2))
& []((y=2) -> (y'=1 | y'=2 | y'=3))
& []((y=3) -> (y'=2 | y'=3 | y'=4))
& []((y=4) -> (y'=3 | y'=4 | y'=5))
& []((y=5) -> (y'=4 | y'=5 | y'=6))
& []((y=6) -> (y'=5 | y'=6 | y'=7))
& []((y=7) -> (y'=6 | y'=7))
& []((x=0 & x'=0) | (x=1 & x'=1) | (x=2 & x'=2) | (x=3 & x'=3) | (x=4 & x'=4) | (x=5 & x'=5) | (x=6 & x'=6) | (x=7 & x'=7) | (x=8 & x'=8) | (x=9 & x'=9) | (x=10 & x'=10) | (x=11 & x'=11) | (x=12 & x'=12) | (x=13 & x'=13) | (x=14 & x'=14) | (x=15 & x'=15) | (x=16 & x'=16) | (x=17 & x'=17) | (x=18 & x'=18) | (x=19 & x'=19) | (x=20 & x'=20) | (x=21 & x'=21) | (x=22 & x'=22) | (x=23 & x'=23) | (x=24 & x'=24) | (x=25 & x'=25) | (x=26 & x'=26) | (x=27 & x'=27) | (x=28 & x'=28) | (x=29 & x'=29) | (x=30 & x'=30) | (x=31 & x'=31) | (y=0 & y'=0) | (y=1 & y'=1) | (y=2 & y'=2) | (y=3 & y'=3) | (y=4 & y'=4) | (y=5 & y'=5) | (y=6 & y'=6) | (y=7 & y'=7))

& []!(obs1_x'=1 & x'=1 & obs1_y'=0 & y'=0)
& []!(obs1_x'=1 & x'=1 & obs1_y'=1 & y'=1)
& []!(obs1_x'=1 & x'=1 & obs1_y'=2 & y'=2)
& []!(obs1_x'=1 & x'=1 & obs1_y'=3 & y'=3)
& []!(obs1_x'=1 & x'=1 & obs1_y'=4 & y'=4)
& []!(obs1_x'=1 & x'=1 & obs1_y'=5 & y'=5)
& []!(obs1_x'=1 & x'=1 & obs1_y'=6 & y'=6)
& []!(obs1_x'=1 & x'=1 & obs1_y'=7 & y'=7)
& []!(obs1_x'=2 & x'=2 & obs1_y'=0 & y'=0)
& []!(obs1_x'=2 & x'=2 & obs1_y'=1 & y'=1)
& []!(obs1_x'=2 & x'=2 & obs1_y'=2 & y'=2)
& []!(obs1_x'=2 & x'=2 & obs1_y'=3 & y'=3)
& []!(obs1_x'=2 & x'=2 & obs1_y'=4 & y'=4)
& []!(obs1_x'=2 & x'=2 & obs1_y'=5 & y'=5)
& []!(obs1_x'=2 & x'=2 & obs1_y'=6 & y'=6)
& []!(obs1_x'=2 & x'=2 & obs1_y'=7 & y'=7)


& []!(x'=1 & y'=0 & obs1_x=1 & obs1_y=0 & x=1 & y=1 & obs1_x'=1 & obs1_y'=1)
& []!(x'=1 & y'=0 & obs1_x=1 & obs1_y=0 & x=1 & y=2 & obs1_x'=1 & obs1_y'=2)
& []!(x'=1 & y'=0 & obs1_x=1 & obs1_y=0 & x=1 & y=3 & obs1_x'=1 & obs1_y'=3)
& []!(x'=1 & y'=0 & obs1_x=1 & obs1_y=0 & x=1 & y=4 & obs1_x'=1 & obs1_y'=4)
& []!(x'=1 & y'=0 & obs1_x=1 & obs1_y=0 & x=1 & y=5 & obs1_x'=1 & obs1_y'=5)
& []!(x'=1 & y'=0 & obs1_x=1 & obs1_y=0 & x=1 & y=6 & obs1_x'=1 & obs1_y'=6)
& []!(x'=1 & y'=0 & obs1_x=1 & obs1_y=0 & x=1 & y=7 & obs1_x'=1 & obs1_y'=7)
& []!(x'=1 & y'=0 & obs1_x=1 & obs1_y=0 & x=2 & y=0 & obs1_x'=2 & obs1_y'=0)
& []!(x'=1 & y'=0 & obs1_x=1 & obs1_y=0 & x=2 & y=1 & obs1_x'=2 & obs1_y'=1)
& []!(x'=1 & y'=0 & obs1_x=1 & obs1_y=0 & x=2 & y=2 & obs1_x'=2 & obs1_y'=2)
& []!(x'=1 & y'=0 & obs1_x=1 & obs1_y=0 & x=2 & y=3 & obs1_x'=2 & obs1_y'=3)
& []!(x'=1 & y'=0 & obs1_x=1 & obs1_y=0 & x=2 & y=4 & obs1_x'=2 & obs1_y'=4)
& []!(x'=1 & y'=0 & obs1_x=1 & obs1_y=0 & x=2 & y=5 & obs1_x'=2 & obs1_y'=5)
& []!(x'=1 & y'=0 & obs1_x=1 & obs1_y=0 & x=2 & y=6 & obs1_x'=2 & obs1_y'=6)
& []!(x'=1 & y'=0 & obs1_x=1 & obs1_y=0 & x=2 & y=7 & obs1_x'=2 & obs1_y'=7)
& []!(x'=1 & y'=1 & obs1_x=1 & obs1_y=1 & x=1 & y=0 & obs1_x'=1 & obs1_y'=0)
& []!(x'=1 & y'=1 & obs1_x=1 & obs1_y=1 & x=1 & y=2 & obs1_x'=1 & obs1_y'=2)
& []!(x'=1 & y'=1 & obs1_x=1 & obs1_y=1 & x=1 & y=3 & obs1_x'=1 & obs1_y'=3)
& []!(x'=1 & y'=1 & obs1_x=1 & obs1_y=1 & x=1 & y=4 & obs1_x'=1 & obs1_y'=4)
& []!(x'=1 & y'=1 & obs1_x=1 & obs1_y=1 & x=1 & y=5 & obs1_x'=1 & obs1_y'=5)
& []!(x'=1 & y'=1 & obs1_x=1 & obs1_y=1 & x=1 & y=6 & obs1_x'=1 & obs1_y'=6)
& []!(x'=1 & y'=1 & obs1_x=1 & obs1_y=1 & x=1 & y=7 & obs1_x'=1 & obs1_y'=7)
& []!(x'=1 & y'=1 & obs1_x=1 & obs1_y=1 & x=2 & y=0 & obs1_x'=2 & obs1_y'=0)
& []!(x'=1 & y'=1 & obs1_x=1 & obs1_y=1 & x=2 & y=1 & obs1_x'=2 & obs1_y'=1)
& []!(x'=1 & y'=1 & obs1_x=1 & obs1_y=1 & x=2 & y=2 & obs1_x'=2 & obs1_y'=2)
& []!(x'=1 & y'=1 & obs1_x=1 & obs1_y=1 & x=2 & y=3 & obs1_x'=2 & obs1_y'=3)
& []!(x'=1 & y'=1 & obs1_x=1 & obs1_y=1 & x=2 & y=4 & obs1_x'=2 & obs1_y'=4)
& []!(x'=1 & y'=1 & obs1_x=1 & obs1_y=1 & x=2 & y=5 & obs1_x'=2 & obs1_y'=5)
& []!(x'=1 & y'=1 & obs1_x=1 & obs1_y=1 & x=2 & y=6 & obs1_x'=2 & obs1_y'=6)
& []!(x'=1 & y'=1 & obs1_x=1 & obs1_y=1 & x=2 & y=7 & obs1_x'=2 & obs1_y'=7)
& []!(x'=1 & y'=2 & obs1_x=1 & obs1_y=2 & x=1 & y=0 & obs1_x'=1 & obs1_y'=0)
& []!(x'=1 & y'=2 & obs1_x=1 & obs1_y=2 & x=1 & y=1 & obs1_x'=1 & obs1_y'=1)
& []!(x'=1 & y'=2 & obs1_x=1 & obs1_y=2 & x=1 & y=3 & obs1_x'=1 & obs1_y'=3)
& []!(x'=1 & y'=2 & obs1_x=1 & obs1_y=2 & x=1 & y=4 & obs1_x'=1 & obs1_y'=4)
& []!(x'=1 & y'=2 & obs1_x=1 & obs1_y=2 & x=1 & y=5 & obs1_x'=1 & obs1_y'=5)
& []!(x'=1 & y'=2 & obs1_x=1 & obs1_y=2 & x=1 & y=6 & obs1_x'=1 & obs1_y'=6)
& []!(x'=1 & y'=2 & obs1_x=1 & obs1_y=2 & x=1 & y=7 & obs1_x'=1 & obs1_y'=7)
& []!(x'=1 & y'=2 & obs1_x=1 & obs1_y=2 & x=2 & y=0 & obs1_x'=2 & obs1_y'=0)
& []!(x'=1 & y'=2 & obs1_x=1 & obs1_y=2 & x=2 & y=1 & obs1_x'=2 & obs1_y'=1)
& []!(x'=1 & y'=2 & obs1_x=1 & obs1_y=2 & x=2 & y=2 & obs1_x'=2 & obs1_y'=2)
& []!(x'=1 & y'=2 & obs1_x=1 & obs1_y=2 & x=2 & y=3 & obs1_x'=2 & obs1_y'=3)
& []!(x'=1 & y'=2 & obs1_x=1 & obs1_y=2 & x=2 & y=4 & obs1_x'=2 & obs1_y'=4)
& []!(x'=1 & y'=2 & obs1_x=1 & obs1_y=2 & x=2 & y=5 & obs1_x'=2 & obs1_y'=5)
& []!(x'=1 & y'=2 & obs1_x=1 & obs1_y=2 & x=2 & y=6 & obs1_x'=2 & obs1_y'=6)
& []!(x'=1 & y'=2 & obs1_x=1 & obs1_y=2 & x=2 & y=7 & obs1_x'=2 & obs1_y'=7)
& []!(x'=1 & y'=3 & obs1_x=1 & obs1_y=3 & x=1 & y=0 & obs1_x'=1 & obs1_y'=0)
& []!(x'=1 & y'=3 & obs1_x=1 & obs1_y=3 & x=1 & y=1 & obs1_x'=1 & obs1_y'=1)
& []!(x'=1 & y'=3 & obs1_x=1 & obs1_y=3 & x=1 & y=2 & obs1_x'=1 & obs1_y'=2)
& []!(x'=1 & y'=3 & obs1_x=1 & obs1_y=3 & x=1 & y=4 & obs1_x'=1 & obs1_y'=4)
& []!(x'=1 & y'=3 & obs1_x=1 & obs1_y=3 & x=1 & y=5 & obs1_x'=1 & obs1_y'=5)
& []!(x'=1 & y'=3 & obs1_x=1 & obs1_y=3 & x=1 & y=6 & obs1_x'=1 & obs1_y'=6)
& []!(x'=1 & y'=3 & obs1_x=1 & obs1_y=3 & x=1 & y=7 & obs1_x'=1 & obs1_y'=7)
& []!(x'=1 & y'=3 & obs1_x=1 & obs1_y=3 & x=2 & y=0 & obs1_x'=2 & obs1_y'=0)
& []!(x'=1 & y'=3 & obs1_x=1 & obs1_y=3 & x=2 & y=1 & obs1_x'=2 & obs1_y'=1)
& []!(x'=1 & y'=3 & obs1_x=1 & obs1_y=3 & x=2 & y=2 & obs1_x'=2 & obs1_y'=2)
& []!(x'=1 & y'=3 & obs1_x=1 & obs1_y=3 & x=2 & y=3 & obs1_x'=2 & obs1_y'=3)
& []!(x'=1 & y'=3 & obs1_x=1 & obs1_y=3 & x=2 & y=4 & obs1_x'=2 & obs1_y'=4)
& []!(x'=1 & y'=3 & obs1_x=1 & obs1_y=3 & x=2 & y=5 & obs1_x'=2 & obs1_y'=5)
& []!(x'=1 & y'=3 & obs1_x=1 & obs1_y=3 & x=2 & y=6 & obs1_x'=2 & obs1_y'=6)
& []!(x'=1 & y'=3 & obs1_x=1 & obs1_y=3 & x=2 & y=7 & obs1_x'=2 & obs1_y'=7)
& []!(x'=1 & y'=4 & obs1_x=1 & obs1_y=4 & x=1 & y=0 & obs1_x'=1 & obs1_y'=0)
& []!(x'=1 & y'=4 & obs1_x=1 & obs1_y=4 & x=1 & y=1 & obs1_x'=1 & obs1_y'=1)
& []!(x'=1 & y'=4 & obs1_x=1 & obs1_y=4 & x=1 & y=2 & obs1_x'=1 & obs1_y'=2)
& []!(x'=1 & y'=4 & obs1_x=1 & obs1_y=4 & x=1 & y=3 & obs1_x'=1 & obs1_y'=3)
& []!(x'=1 & y'=4 & obs1_x=1 & obs1_y=4 & x=1 & y=5 & obs1_x'=1 & obs1_y'=5)
& []!(x'=1 & y'=4 & obs1_x=1 & obs1_y=4 & x=1 & y=6 & obs1_x'=1 & obs1_y'=6)
& []!(x'=1 & y'=4 & obs1_x=1 & obs1_y=4 & x=1 & y=7 & obs1_x'=1 & obs1_y'=7)
& []!(x'=1 & y'=4 & obs1_x=1 & obs1_y=4 & x=2 & y=0 & obs1_x'=2 & obs1_y'=0)
& []!(x'=1 & y'=4 & obs1_x=1 & obs1_y=4 & x=2 & y=1 & obs1_x'=2 & obs1_y'=1)
& []!(x'=1 & y'=4 & obs1_x=1 & obs1_y=4 & x=2 & y=2 & obs1_x'=2 & obs1_y'=2)
& []!(x'=1 & y'=4 & obs1_x=1 & obs1_y=4 & x=2 & y=3 & obs1_x'=2 & obs1_y'=3)
& []!(x'=1 & y'=4 & obs1_x=1 & obs1_y=4 & x=2 & y=4 & obs1_x'=2 & obs1_y'=4)
& []!(x'=1 & y'=4 & obs1_x=1 & obs1_y=4 & x=2 & y=5 & obs1_x'=2 & obs1_y'=5)
& []!(x'=1 & y'=4 & obs1_x=1 & obs1_y=4 & x=2 & y=6 & obs1_x'=2 & obs1_y'=6)
& []!(x'=1 & y'=4 & obs1_x=1 & obs1_y=4 & x=2 & y=7 & obs1_x'=2 & obs1_y'=7)
& []!(x'=1 & y'=5 & obs1_x=1 & obs1_y=5 & x=1 & y=0 & obs1_x'=1 & obs1_y'=0)
& []!(x'=1 & y'=5 & obs1_x=1 & obs1_y=5 & x=1 & y=1 & obs1_x'=1 & obs1_y'=1)
& []!(x'=1 & y'=5 & obs1_x=1 & obs1_y=5 & x=1 & y=2 & obs1_x'=1 & obs1_y'=2)
& []!(x'=1 & y'=5 & obs1_x=1 & obs1_y=5 & x=1 & y=3 & obs1_x'=1 & obs1_y'=3)
& []!(x'=1 & y'=5 & obs1_x=1 & obs1_y=5 & x=1 & y=4 & obs1_x'=1 & obs1_y'=4)
& []!(x'=1 & y'=5 & obs1_x=1 & obs1_y=5 & x=1 & y=6 & obs1_x'=1 & obs1_y'=6)
& []!(x'=1 & y'=5 & obs1_x=1 & obs1_y=5 & x=1 & y=7 & obs1_x'=1 & obs1_y'=7)
& []!(x'=1 & y'=5 & obs1_x=1 & obs1_y=5 & x=2 & y=0 & obs1_x'=2 & obs1_y'=0)
& []!(x'=1 & y'=5 & obs1_x=1 & obs1_y=5 & x=2 & y=1 & obs1_x'=2 & obs1_y'=1)
& []!(x'=1 & y'=5 & obs1_x=1 & obs1_y=5 & x=2 & y=2 & obs1_x'=2 & obs1_y'=2)
& []!(x'=1 & y'=5 & obs1_x=1 & obs1_y=5 & x=2 & y=3 & obs1_x'=2 & obs1_y'=3)
& []!(x'=1 & y'=5 & obs1_x=1 & obs1_y=5 & x=2 & y=4 & obs1_x'=2 & obs1_y'=4)
& []!(x'=1 & y'=5 & obs1_x=1 & obs1_y=5 & x=2 & y=5 & obs1_x'=2 & obs1_y'=5)
& []!(x'=1 & y'=5 & obs1_x=1 & obs1_y=5 & x=2 & y=6 & obs1_x'=2 & obs1_y'=6)
& []!(x'=1 & y'=5 & obs1_x=1 & obs1_y=5 & x=2 & y=7 & obs1_x'=2 & obs1_y'=7)
& []!(x'=1 & y'=6 & obs1_x=1 & obs1_y=6 & x=1 & y=0 & obs1_x'=1 & obs1_y'=0)
& []!(x'=1 & y'=6 & obs1_x=1 & obs1_y=6 & x=1 & y=1 & obs1_x'=1 & obs1_y'=1)
& []!(x'=1 & y'=6 & obs1_x=1 & obs1_y=6 & x=1 & y=2 & obs1_x'=1 & obs1_y'=2)
& []!(x'=1 & y'=6 & obs1_x=1 & obs1_y=6 & x=1 & y=3 & obs1_x'=1 & obs1_y'=3)
& []!(x'=1 & y'=6 & obs1_x=1 & obs1_y=6 & x=1 & y=4 & obs1_x'=1 & obs1_y'=4)
& []!(x'=1 & y'=6 & obs1_x=1 & obs1_y=6 & x=1 & y=5 & obs1_x'=1 & obs1_y'=5)
& []!(x'=1 & y'=6 & obs1_x=1 & obs1_y=6 & x=1 & y=7 & obs1_x'=1 & obs1_y'=7)
& []!(x'=1 & y'=6 & obs1_x=1 & obs1_y=6 & x=2 & y=0 & obs1_x'=2 & obs1_y'=0)
& []!(x'=1 & y'=6 & obs1_x=1 & obs1_y=6 & x=2 & y=1 & obs1_x'=2 & obs1_y'=1)
& []!(x'=1 & y'=6 & obs1_x=1 & obs1_y=6 & x=2 & y=2 & obs1_x'=2 & obs1_y'=2)
& []!(x'=1 & y'=6 & obs1_x=1 & obs1_y=6 & x=2 & y=3 & obs1_x'=2 & obs1_y'=3)
& []!(x'=1 & y'=6 & obs1_x=1 & obs1_y=6 & x=2 & y=4 & obs1_x'=2 & obs1_y'=4)
& []!(x'=1 & y'=6 & obs1_x=1 & obs1_y=6 & x=2 & y=5 & obs1_x'=2 & obs1_y'=5)
& []!(x'=1 & y'=6 & obs1_x=1 & obs1_y=6 & x=2 & y=6 & obs1_x'=2 & obs1_y'=6)
& []!(x'=1 & y'=6 & obs1_x=1 & obs1_y=6 & x=2 & y=7 & obs1_x'=2 & obs1_y'=7)
& []!(x'=1 & y'=7 & obs1_x=1 & obs1_y=7 & x=1 & y=0 & obs1_x'=1 & obs1_y'=0)
& []!(x'=1 & y'=7 & obs1_x=1 & obs1_y=7 & x=1 & y=1 & obs1_x'=1 & obs1_y'=1)
& []!(x'=1 & y'=7 & obs1_x=1 & obs1_y=7 & x=1 & y=2 & obs1_x'=1 & obs1_y'=2)
& []!(x'=1 & y'=7 & obs1_x=1 & obs1_y=7 & x=1 & y=3 & obs1_x'=1 & obs1_y'=3)
& []!(x'=1 & y'=7 & obs1_x=1 & obs1_y=7 & x=1 & y=4 & obs1_x'=1 & obs1_y'=4)
& []!(x'=1 & y'=7 & obs1_x=1 & obs1_y=7 & x=1 & y=5 & obs1_x'=1 & obs1_y'=5)
& []!(x'=1 & y'=7 & obs1_x=1 & obs1_y=7 & x=1 & y=6 & obs1_x'=1 & obs1_y'=6)
& []!(x'=1 & y'=7 & obs1_x=1 & obs1_y=7 & x=2 & y=0 & obs1_x'=2 & obs1_y'=0)
& []!(x'=1 & y'=7 & obs1_x=1 & obs1_y=7 & x=2 & y=1 & obs1_x'=2 & obs1_y'=1)
& []!(x'=1 & y'=7 & obs1_x=1 & obs1_y=7 & x=2 & y=2 & obs1_x'=2 & obs1_y'=2)
& []!(x'=1 & y'=7 & obs1_x=1 & obs1_y=7 & x=2 & y=3 & obs1_x'=2 & obs1_y'=3)
& []!(x'=1 & y'=7 & obs1_x=1 & obs1_y=7 & x=2 & y=4 & obs1_x'=2 & obs1_y'=4)
& []!(x'=1 & y'=7 & obs1_x=1 & obs1_y=7 & x=2 & y=5 & obs1_x'=2 & obs1_y'=5)
& []!(x'=1 & y'=7 & obs1_x=1 & obs1_y=7 & x=2 & y=6 & obs1_x'=2 & obs1_y'=6)
& []!(x'=1 & y'=7 & obs1_x=1 & obs1_y=7 & x=2 & y=7 & obs1_x'=2 & obs1_y'=7)
& []!(x'=2 & y'=0 & obs1_x=2 & obs1_y=0 & x=1 & y=0 & obs1_x'=1 & obs1_y'=0)
& []!(x'=2 & y'=0 & obs1_x=2 & obs1_y=0 & x=1 & y=1 & obs1_x'=1 & obs1_y'=1)
& []!(x'=2 & y'=0 & obs1_x=2 & obs1_y=0 & x=1 & y=2 & obs1_x'=1 & obs1_y'=2)
& []!(x'=2 & y'=0 & obs1_x=2 & obs1_y=0 & x=1 & y=3 & obs1_x'=1 & obs1_y'=3)
& []!(x'=2 & y'=0 & obs1_x=2 & obs1_y=0 & x=1 & y=4 & obs1_x'=1 & obs1_y'=4)
& []!(x'=2 & y'=0 & obs1_x=2 & obs1_y=0 & x=1 & y=5 & obs1_x'=1 & obs1_y'=5)
& []!(x'=2 & y'=0 & obs1_x=2 & obs1_y=0 & x=1 & y=6 & obs1_x'=1 & obs1_y'=6)
& []!(x'=2 & y'=0 & obs1_x=2 & obs1_y=0 & x=1 & y=7 & obs1_x'=1 & obs1_y'=7)
& []!(x'=2 & y'=0 & obs1_x=2 & obs1_y=0 & x=2 & y=1 & obs1_x'=2 & obs1_y'=1)
& []!(x'=2 & y'=0 & obs1_x=2 & obs1_y=0 & x=2 & y=2 & obs1_x'=2 & obs1_y'=2)
& []!(x'=2 & y'=0 & obs1_x=2 & obs1_y=0 & x=2 & y=3 & obs1_x'=2 & obs1_y'=3)
& []!(x'=2 & y'=0 & obs1_x=2 & obs1_y=0 & x=2 & y=4 & obs1_x'=2 & obs1_y'=4)
& []!(x'=2 & y'=0 & obs1_x=2 & obs1_y=0 & x=2 & y=5 & obs1_x'=2 & obs1_y'=5)
& []!(x'=2 & y'=0 & obs1_x=2 & obs1_y=0 & x=2 & y=6 & obs1_x'=2 & obs1_y'=6)
& []!(x'=2 & y'=0 & obs1_x=2 & obs1_y=0 & x=2 & y=7 & obs1_x'=2 & obs1_y'=7)
& []!(x'=2 & y'=1 & obs1_x=2 & obs1_y=1 & x=1 & y=0 & obs1_x'=1 & obs1_y'=0)
& []!(x'=2 & y'=1 & obs1_x=2 & obs1_y=1 & x=1 & y=1 & obs1_x'=1 & obs1_y'=1)
& []!(x'=2 & y'=1 & obs1_x=2 & obs1_y=1 & x=1 & y=2 & obs1_x'=1 & obs1_y'=2)
& []!(x'=2 & y'=1 & obs1_x=2 & obs1_y=1 & x=1 & y=3 & obs1_x'=1 & obs1_y'=3)
& []!(x'=2 & y'=1 & obs1_x=2 & obs1_y=1 & x=1 & y=4 & obs1_x'=1 & obs1_y'=4)
& []!(x'=2 & y'=1 & obs1_x=2 & obs1_y=1 & x=1 & y=5 & obs1_x'=1 & obs1_y'=5)
& []!(x'=2 & y'=1 & obs1_x=2 & obs1_y=1 & x=1 & y=6 & obs1_x'=1 & obs1_y'=6)
& []!(x'=2 & y'=1 & obs1_x=2 & obs1_y=1 & x=1 & y=7 & obs1_x'=1 & obs1_y'=7)
& []!(x'=2 & y'=1 & obs1_x=2 & obs1_y=1 & x=2 & y=0 & obs1_x'=2 & obs1_y'=0)
& []!(x'=2 & y'=1 & obs1_x=2 & obs1_y=1 & x=2 & y=2 & obs1_x'=2 & obs1_y'=2)
& []!(x'=2 & y'=1 & obs1_x=2 & obs1_y=1 & x=2 & y=3 & obs1_x'=2 & obs1_y'=3)
& []!(x'=2 & y'=1 & obs1_x=2 & obs1_y=1 & x=2 & y=4 & obs1_x'=2 & obs1_y'=4)
& []!(x'=2 & y'=1 & obs1_x=2 & obs1_y=1 & x=2 & y=5 & obs1_x'=2 & obs1_y'=5)
& []!(x'=2 & y'=1 & obs1_x=2 & obs1_y=1 & x=2 & y=6 & obs1_x'=2 & obs1_y'=6)
& []!(x'=2 & y'=1 & obs1_x=2 & obs1_y=1 & x=2 & y=7 & obs1_x'=2 & obs1_y'=7)
& []!(x'=2 & y'=2 & obs1_x=2 & obs1_y=2 & x=1 & y=0 & obs1_x'=1 & obs1_y'=0)
& []!(x'=2 & y'=2 & obs1_x=2 & obs1_y=2 & x=1 & y=1 & obs1_x'=1 & obs1_y'=1)
& []!(x'=2 & y'=2 & obs1_x=2 & obs1_y=2 & x=1 & y=2 & obs1_x'=1 & obs1_y'=2)
& []!(x'=2 & y'=2 & obs1_x=2 & obs1_y=2 & x=1 & y=3 & obs1_x'=1 & obs1_y'=3)
& []!(x'=2 & y'=2 & obs1_x=2 & obs1_y=2 & x=1 & y=4 & obs1_x'=1 & obs1_y'=4)
& []!(x'=2 & y'=2 & obs1_x=2 & obs1_y=2 & x=1 & y=5 & obs1_x'=1 & obs1_y'=5)
& []!(x'=2 & y'=2 & obs1_x=2 & obs1_y=2 & x=1 & y=6 & obs1_x'=1 & obs1_y'=6)
& []!(x'=2 & y'=2 & obs1_x=2 & obs1_y=2 & x=1 & y=7 & obs1_x'=1 & obs1_y'=7)
& []!(x'=2 & y'=2 & obs1_x=2 & obs1_y=2 & x=2 & y=0 & obs1_x'=2 & obs1_y'=0)
& []!(x'=2 & y'=2 & obs1_x=2 & obs1_y=2 & x=2 & y=1 & obs1_x'=2 & obs1_y'=1)
& []!(x'=2 & y'=2 & obs1_x=2 & obs1_y=2 & x=2 & y=3 & obs1_x'=2 & obs1_y'=3)
& []!(x'=2 & y'=2 & obs1_x=2 & obs1_y=2 & x=2 & y=4 & obs1_x'=2 & obs1_y'=4)
& []!(x'=2 & y'=2 & obs1_x=2 & obs1_y=2 & x=2 & y=5 & obs1_x'=2 & obs1_y'=5)
& []!(x'=2 & y'=2 & obs1_x=2 & obs1_y=2 & x=2 & y=6 & obs1_x'=2 & obs1_y'=6)
& []!(x'=2 & y'=2 & obs1_x=2 & obs1_y=2 & x=2 & y=7 & obs1_x'=2 & obs1_y'=7)
& []!(x'=2 & y'=3 & obs1_x=2 & obs1_y=3 & x=1 & y=0 & obs1_x'=1 & obs1_y'=0)
& []!(x'=2 & y'=3 & obs1_x=2 & obs1_y=3 & x=1 & y=1 & obs1_x'=1 & obs1_y'=1)
& []!(x'=2 & y'=3 & obs1_x=2 & obs1_y=3 & x=1 & y=2 & obs1_x'=1 & obs1_y'=2)
& []!(x'=2 & y'=3 & obs1_x=2 & obs1_y=3 & x=1 & y=3 & obs1_x'=1 & obs1_y'=3)
& []!(x'=2 & y'=3 & obs1_x=2 & obs1_y=3 & x=1 & y=4 & obs1_x'=1 & obs1_y'=4)
& []!(x'=2 & y'=3 & obs1_x=2 & obs1_y=3 & x=1 & y=5 & obs1_x'=1 & obs1_y'=5)
& []!(x'=2 & y'=3 & obs1_x=2 & obs1_y=3 & x=1 & y=6 & obs1_x'=1 & obs1_y'=6)
& []!(x'=2 & y'=3 & obs1_x=2 & obs1_y=3 & x=1 & y=7 & obs1_x'=1 & obs1_y'=7)
& []!(x'=2 & y'=3 & obs1_x=2 & obs1_y=3 & x=2 & y=0 & obs1_x'=2 & obs1_y'=0)
& []!(x'=2 & y'=3 & obs1_x=2 & obs1_y=3 & x=2 & y=1 & obs1_x'=2 & obs1_y'=1)
& []!(x'=2 & y'=3 & obs1_x=2 & obs1_y=3 & x=2 & y=2 & obs1_x'=2 & obs1_y'=2)
& []!(x'=2 & y'=3 & obs1_x=2 & obs1_y=3 & x=2 & y=4 & obs1_x'=2 & obs1_y'=4)
& []!(x'=2 & y'=3 & obs1_x=2 & obs1_y=3 & x=2 & y=5 & obs1_x'=2 & obs1_y'=5)
& []!(x'=2 & y'=3 & obs1_x=2 & obs1_y=3 & x=2 & y=6 & obs1_x'=2 & obs1_y'=6)
& []!(x'=2 & y'=3 & obs1_x=2 & obs1_y=3 & x=2 & y=7 & obs1_x'=2 & obs1_y'=7)
& []!(x'=2 & y'=4 & obs1_x=2 & obs1_y=4 & x=1 & y=0 & obs1_x'=1 & obs1_y'=0)
& []!(x'=2 & y'=4 & obs1_x=2 & obs1_y=4 & x=1 & y=1 & obs1_x'=1 & obs1_y'=1)
& []!(x'=2 & y'=4 & obs1_x=2 & obs1_y=4 & x=1 & y=2 & obs1_x'=1 & obs1_y'=2)
& []!(x'=2 & y'=4 & obs1_x=2 & obs1_y=4 & x=1 & y=3 & obs1_x'=1 & obs1_y'=3)
& []!(x'=2 & y'=4 & obs1_x=2 & obs1_y=4 & x=1 & y=4 & obs1_x'=1 & obs1_y'=4)
& []!(x'=2 & y'=4 & obs1_x=2 & obs1_y=4 & x=1 & y=5 & obs1_x'=1 & obs1_y'=5)
& []!(x'=2 & y'=4 & obs1_x=2 & obs1_y=4 & x=1 & y=6 & obs1_x'=1 & obs1_y'=6)
& []!(x'=2 & y'=4 & obs1_x=2 & obs1_y=4 & x=1 & y=7 & obs1_x'=1 & obs1_y'=7)
& []!(x'=2 & y'=4 & obs1_x=2 & obs1_y=4 & x=2 & y=0 & obs1_x'=2 & obs1_y'=0)
& []!(x'=2 & y'=4 & obs1_x=2 & obs1_y=4 & x=2 & y=1 & obs1_x'=2 & obs1_y'=1)
& []!(x'=2 & y'=4 & obs1_x=2 & obs1_y=4 & x=2 & y=2 & obs1_x'=2 & obs1_y'=2)
& []!(x'=2 & y'=4 & obs1_x=2 & obs1_y=4 & x=2 & y=3 & obs1_x'=2 & obs1_y'=3)
& []!(x'=2 & y'=4 & obs1_x=2 & obs1_y=4 & x=2 & y=5 & obs1_x'=2 & obs1_y'=5)
& []!(x'=2 & y'=4 & obs1_x=2 & obs1_y=4 & x=2 & y=6 & obs1_x'=2 & obs1_y'=6)
& []!(x'=2 & y'=4 & obs1_x=2 & obs1_y=4 & x=2 & y=7 & obs1_x'=2 & obs1_y'=7)
& []!(x'=2 & y'=5 & obs1_x=2 & obs1_y=5 & x=1 & y=0 & obs1_x'=1 & obs1_y'=0)
& []!(x'=2 & y'=5 & obs1_x=2 & obs1_y=5 & x=1 & y=1 & obs1_x'=1 & obs1_y'=1)
& []!(x'=2 & y'=5 & obs1_x=2 & obs1_y=5 & x=1 & y=2 & obs1_x'=1 & obs1_y'=2)
& []!(x'=2 & y'=5 & obs1_x=2 & obs1_y=5 & x=1 & y=3 & obs1_x'=1 & obs1_y'=3)
& []!(x'=2 & y'=5 & obs1_x=2 & obs1_y=5 & x=1 & y=4 & obs1_x'=1 & obs1_y'=4)
& []!(x'=2 & y'=5 & obs1_x=2 & obs1_y=5 & x=1 & y=5 & obs1_x'=1 & obs1_y'=5)
& []!(x'=2 & y'=5 & obs1_x=2 & obs1_y=5 & x=1 & y=6 & obs1_x'=1 & obs1_y'=6)
& []!(x'=2 & y'=5 & obs1_x=2 & obs1_y=5 & x=1 & y=7 & obs1_x'=1 & obs1_y'=7)
& []!(x'=2 & y'=5 & obs1_x=2 & obs1_y=5 & x=2 & y=0 & obs1_x'=2 & obs1_y'=0)
& []!(x'=2 & y'=5 & obs1_x=2 & obs1_y=5 & x=2 & y=1 & obs1_x'=2 & obs1_y'=1)
& []!(x'=2 & y'=5 & obs1_x=2 & obs1_y=5 & x=2 & y=2 & obs1_x'=2 & obs1_y'=2)
& []!(x'=2 & y'=5 & obs1_x=2 & obs1_y=5 & x=2 & y=3 & obs1_x'=2 & obs1_y'=3)
& []!(x'=2 & y'=5 & obs1_x=2 & obs1_y=5 & x=2 & y=4 & obs1_x'=2 & obs1_y'=4)
& []!(x'=2 & y'=5 & obs1_x=2 & obs1_y=5 & x=2 & y=6 & obs1_x'=2 & obs1_y'=6)
& []!(x'=2 & y'=5 & obs1_x=2 & obs1_y=5 & x=2 & y=7 & obs1_x'=2 & obs1_y'=7)
& []!(x'=2 & y'=6 & obs1_x=2 & obs1_y=6 & x=1 & y=0 & obs1_x'=1 & obs1_y'=0)
& []!(x'=2 & y'=6 & obs1_x=2 & obs1_y=6 & x=1 & y=1 & obs1_x'=1 & obs1_y'=1)
& []!(x'=2 & y'=6 & obs1_x=2 & obs1_y=6 & x=1 & y=2 & obs1_x'=1 & obs1_y'=2)
& []!(x'=2 & y'=6 & obs1_x=2 & obs1_y=6 & x=1 & y=3 & obs1_x'=1 & obs1_y'=3)
& []!(x'=2 & y'=6 & obs1_x=2 & obs1_y=6 & x=1 & y=4 & obs1_x'=1 & obs1_y'=4)
& []!(x'=2 & y'=6 & obs1_x=2 & obs1_y=6 & x=1 & y=5 & obs1_x'=1 & obs1_y'=5)
& []!(x'=2 & y'=6 & obs1_x=2 & obs1_y=6 & x=1 & y=6 & obs1_x'=1 & obs1_y'=6)
& []!(x'=2 & y'=6 & obs1_x=2 & obs1_y=6 & x=1 & y=7 & obs1_x'=1 & obs1_y'=7)
& []!(x'=2 & y'=6 & obs1_x=2 & obs1_y=6 & x=2 & y=0 & obs1_x'=2 & obs1_y'=0)
& []!(x'=2 & y'=6 & obs1_x=2 & obs1_y=6 & x=2 & y=1 & obs1_x'=2 & obs1_y'=1)
& []!(x'=2 & y'=6 & obs1_x=2 & obs1_y=6 & x=2 & y=2 & obs1_x'=2 & obs1_y'=2)
& []!(x'=2 & y'=6 & obs1_x=2 & obs1_y=6 & x=2 & y=3 & obs1_x'=2 & obs1_y'=3)
& []!(x'=2 & y'=6 & obs1_x=2 & obs1_y=6 & x=2 & y=4 & obs1_x'=2 & obs1_y'=4)
& []!(x'=2 & y'=6 & obs1_x=2 & obs1_y=6 & x=2 & y=5 & obs1_x'=2 & obs1_y'=5)
& []!(x'=2 & y'=6 & obs1_x=2 & obs1_y=6 & x=2 & y=7 & obs1_x'=2 & obs1_y'=7)
& []!(x'=2 & y'=7 & obs1_x=2 & obs1_y=7 & x=1 & y=0 & obs1_x'=1 & obs1_y'=0)
& []!(x'=2 & y'=7 & obs1_x=2 & obs1_y=7 & x=1 & y=1 & obs1_x'=1 & obs1_y'=1)
& []!(x'=2 & y'=7 & obs1_x=2 & obs1_y=7 & x=1 & y=2 & obs1_x'=1 & obs1_y'=2)
& []!(x'=2 & y'=7 & obs1_x=2 & obs1_y=7 & x=1 & y=3 & obs1_x'=1 & obs1_y'=3)
& []!(x'=2 & y'=7 & obs1_x=2 & obs1_y=7 & x=1 & y=4 & obs1_x'=1 & obs1_y'=4)
& []!(x'=2 & y'=7 & obs1_x=2 & obs1_y=7 & x=1 & y=5 & obs1_x'=1 & obs1_y'=5)
& []!(x'=2 & y'=7 & obs1_x=2 & obs1_y=7 & x=1 & y=6 & obs1_x'=1 & obs1_y'=6)
& []!(x'=2 & y'=7 & obs1_x=2 & obs1_y=7 & x=1 & y=7 & obs1_x'=1 & obs1_y'=7)
& []!(x'=2 & y'=7 & obs1_x=2 & obs1_y=7 & x=2 & y=0 & obs1_x'=2 & obs1_y'=0)
& []!(x'=2 & y'=7 & obs1_x=2 & obs1_y=7 & x=2 & y=1 & obs1_x'=2 & obs1_y'=1)
& []!(x'=2 & y'=7 & obs1_x=2 & obs1_y=7 & x=2 & y=2 & obs1_x'=2 & obs1_y'=2)
& []!(x'=2 & y'=7 & obs1_x=2 & obs1_y=7 & x=2 & y=3 & obs1_x'=2 & obs1_y'=3)
& []!(x'=2 & y'=7 & obs1_x=2 & obs1_y=7 & x=2 & y=4 & obs1_x'=2 & obs1_y'=4)
& []!(x'=2 & y'=7 & obs1_x=2 & obs1_y=7 & x=2 & y=5 & obs1_x'=2 & obs1_y'=5)
& []!(x'=2 & y'=7 & obs1_x=2 & obs1_y=7 & x=2 & y=6 & obs1_x'=2 & obs1_y'=6)
& []!(obs2_x'=14 & x'=14 & obs2_y'=0 & y'=0)
& []!(obs2_x'=14 & x'=14 & obs2_y'=1 & y'=1)
& []!(obs2_x'=14 & x'=14 & obs2_y'=2 & y'=2)
& []!(obs2_x'=14 & x'=14 & obs2_y'=3 & y'=3)
& []!(obs2_x'=14 & x'=14 & obs2_y'=4 & y'=4)
& []!(obs2_x'=14 & x'=14 & obs2_y'=5 & y'=5)
& []!(obs2_x'=14 & x'=14 & obs2_y'=6 & y'=6)
& []!(obs2_x'=14 & x'=14 & obs2_y'=7 & y'=7)
& []!(obs2_x'=15 & x'=15 & obs2_y'=0 & y'=0)
& []!(obs2_x'=15 & x'=15 & obs2_y'=1 & y'=1)
& []!(obs2_x'=15 & x'=15 & obs2_y'=2 & y'=2)
& []!(obs2_x'=15 & x'=15 & obs2_y'=3 & y'=3)
& []!(obs2_x'=15 & x'=15 & obs2_y'=4 & y'=4)
& []!(obs2_x'=15 & x'=15 & obs2_y'=5 & y'=5)
& []!(obs2_x'=15 & x'=15 & obs2_y'=6 & y'=6)
& []!(obs2_x'=15 & x'=15 & obs2_y'=7 & y'=7)


& []!(x'=14 & y'=0 & obs2_x=14 & obs2_y=0 & x=14 & y=1 & obs2_x'=14 & obs2_y'=1)
& []!(x'=14 & y'=0 & obs2_x=14 & obs2_y=0 & x=14 & y=2 & obs2_x'=14 & obs2_y'=2)
& []!(x'=14 & y'=0 & obs2_x=14 & obs2_y=0 & x=14 & y=3 & obs2_x'=14 & obs2_y'=3)
& []!(x'=14 & y'=0 & obs2_x=14 & obs2_y=0 & x=14 & y=4 & obs2_x'=14 & obs2_y'=4)
& []!(x'=14 & y'=0 & obs2_x=14 & obs2_y=0 & x=14 & y=5 & obs2_x'=14 & obs2_y'=5)
& []!(x'=14 & y'=0 & obs2_x=14 & obs2_y=0 & x=14 & y=6 & obs2_x'=14 & obs2_y'=6)
& []!(x'=14 & y'=0 & obs2_x=14 & obs2_y=0 & x=14 & y=7 & obs2_x'=14 & obs2_y'=7)
& []!(x'=14 & y'=0 & obs2_x=14 & obs2_y=0 & x=15 & y=0 & obs2_x'=15 & obs2_y'=0)
& []!(x'=14 & y'=0 & obs2_x=14 & obs2_y=0 & x=15 & y=1 & obs2_x'=15 & obs2_y'=1)
& []!(x'=14 & y'=0 & obs2_x=14 & obs2_y=0 & x=15 & y=2 & obs2_x'=15 & obs2_y'=2)
& []!(x'=14 & y'=0 & obs2_x=14 & obs2_y=0 & x=15 & y=3 & obs2_x'=15 & obs2_y'=3)
& []!(x'=14 & y'=0 & obs2_x=14 & obs2_y=0 & x=15 & y=4 & obs2_x'=15 & obs2_y'=4)
& []!(x'=14 & y'=0 & obs2_x=14 & obs2_y=0 & x=15 & y=5 & obs2_x'=15 & obs2_y'=5)
& []!(x'=14 & y'=0 & obs2_x=14 & obs2_y=0 & x=15 & y=6 & obs2_x'=15 & obs2_y'=6)
& []!(x'=14 & y'=0 & obs2_x=14 & obs2_y=0 & x=15 & y=7 & obs2_x'=15 & obs2_y'=7)
& []!(x'=14 & y'=1 & obs2_x=14 & obs2_y=1 & x=14 & y=0 & obs2_x'=14 & obs2_y'=0)
& []!(x'=14 & y'=1 & obs2_x=14 & obs2_y=1 & x=14 & y=2 & obs2_x'=14 & obs2_y'=2)
& []!(x'=14 & y'=1 & obs2_x=14 & obs2_y=1 & x=14 & y=3 & obs2_x'=14 & obs2_y'=3)
& []!(x'=14 & y'=1 & obs2_x=14 & obs2_y=1 & x=14 & y=4 & obs2_x'=14 & obs2_y'=4)
& []!(x'=14 & y'=1 & obs2_x=14 & obs2_y=1 & x=14 & y=5 & obs2_x'=14 & obs2_y'=5)
& []!(x'=14 & y'=1 & obs2_x=14 & obs2_y=1 & x=14 & y=6 & obs2_x'=14 & obs2_y'=6)
& []!(x'=14 & y'=1 & obs2_x=14 & obs2_y=1 & x=14 & y=7 & obs2_x'=14 & obs2_y'=7)
& []!(x'=14 & y'=1 & obs2_x=14 & obs2_y=1 & x=15 & y=0 & obs2_x'=15 & obs2_y'=0)
& []!(x'=14 & y'=1 & obs2_x=14 & obs2_y=1 & x=15 & y=1 & obs2_x'=15 & obs2_y'=1)
& []!(x'=14 & y'=1 & obs2_x=14 & obs2_y=1 & x=15 & y=2 & obs2_x'=15 & obs2_y'=2)
& []!(x'=14 & y'=1 & obs2_x=14 & obs2_y=1 & x=15 & y=3 & obs2_x'=15 & obs2_y'=3)
& []!(x'=14 & y'=1 & obs2_x=14 & obs2_y=1 & x=15 & y=4 & obs2_x'=15 & obs2_y'=4)
& []!(x'=14 & y'=1 & obs2_x=14 & obs2_y=1 & x=15 & y=5 & obs2_x'=15 & obs2_y'=5)
& []!(x'=14 & y'=1 & obs2_x=14 & obs2_y=1 & x=15 & y=6 & obs2_x'=15 & obs2_y'=6)
& []!(x'=14 & y'=1 & obs2_x=14 & obs2_y=1 & x=15 & y=7 & obs2_x'=15 & obs2_y'=7)
& []!(x'=14 & y'=2 & obs2_x=14 & obs2_y=2 & x=14 & y=0 & obs2_x'=14 & obs2_y'=0)
& []!(x'=14 & y'=2 & obs2_x=14 & obs2_y=2 & x=14 & y=1 & obs2_x'=14 & obs2_y'=1)
& []!(x'=14 & y'=2 & obs2_x=14 & obs2_y=2 & x=14 & y=3 & obs2_x'=14 & obs2_y'=3)
& []!(x'=14 & y'=2 & obs2_x=14 & obs2_y=2 & x=14 & y=4 & obs2_x'=14 & obs2_y'=4)
& []!(x'=14 & y'=2 & obs2_x=14 & obs2_y=2 & x=14 & y=5 & obs2_x'=14 & obs2_y'=5)
& []!(x'=14 & y'=2 & obs2_x=14 & obs2_y=2 & x=14 & y=6 & obs2_x'=14 & obs2_y'=6)
& []!(x'=14 & y'=2 & obs2_x=14 & obs2_y=2 & x=14 & y=7 & obs2_x'=14 & obs2_y'=7)
& []!(x'=14 & y'=2 & obs2_x=14 & obs2_y=2 & x=15 & y=0 & obs2_x'=15 & obs2_y'=0)
& []!(x'=14 & y'=2 & obs2_x=14 & obs2_y=2 & x=15 & y=1 & obs2_x'=15 & obs2_y'=1)
& []!(x'=14 & y'=2 & obs2_x=14 & obs2_y=2 & x=15 & y=2 & obs2_x'=15 & obs2_y'=2)
& []!(x'=14 & y'=2 & obs2_x=14 & obs2_y=2 & x=15 & y=3 & obs2_x'=15 & obs2_y'=3)
& []!(x'=14 & y'=2 & obs2_x=14 & obs2_y=2 & x=15 & y=4 & obs2_x'=15 & obs2_y'=4)
& []!(x'=14 & y'=2 & obs2_x=14 & obs2_y=2 & x=15 & y=5 & obs2_x'=15 & obs2_y'=5)
& []!(x'=14 & y'=2 & obs2_x=14 & obs2_y=2 & x=15 & y=6 & obs2_x'=15 & obs2_y'=6)
& []!(x'=14 & y'=2 & obs2_x=14 & obs2_y=2 & x=15 & y=7 & obs2_x'=15 & obs2_y'=7)
& []!(x'=14 & y'=3 & obs2_x=14 & obs2_y=3 & x=14 & y=0 & obs2_x'=14 & obs2_y'=0)
& []!(x'=14 & y'=3 & obs2_x=14 & obs2_y=3 & x=14 & y=1 & obs2_x'=14 & obs2_y'=1)
& []!(x'=14 & y'=3 & obs2_x=14 & obs2_y=3 & x=14 & y=2 & obs2_x'=14 & obs2_y'=2)
& []!(x'=14 & y'=3 & obs2_x=14 & obs2_y=3 & x=14 & y=4 & obs2_x'=14 & obs2_y'=4)
& []!(x'=14 & y'=3 & obs2_x=14 & obs2_y=3 & x=14 & y=5 & obs2_x'=14 & obs2_y'=5)
& []!(x'=14 & y'=3 & obs2_x=14 & obs2_y=3 & x=14 & y=6 & obs2_x'=14 & obs2_y'=6)
& []!(x'=14 & y'=3 & obs2_x=14 & obs2_y=3 & x=14 & y=7 & obs2_x'=14 & obs2_y'=7)
& []!(x'=14 & y'=3 & obs2_x=14 & obs2_y=3 & x=15 & y=0 & obs2_x'=15 & obs2_y'=0)
& []!(x'=14 & y'=3 & obs2_x=14 & obs2_y=3 & x=15 & y=1 & obs2_x'=15 & obs2_y'=1)
& []!(x'=14 & y'=3 & obs2_x=14 & obs2_y=3 & x=15 & y=2 & obs2_x'=15 & obs2_y'=2)
& []!(x'=14 & y'=3 & obs2_x=14 & obs2_y=3 & x=15 & y=3 & obs2_x'=15 & obs2_y'=3)
& []!(x'=14 & y'=3 & obs2_x=14 & obs2_y=3 & x=15 & y=4 & obs2_x'=15 & obs2_y'=4)
& []!(x'=14 & y'=3 & obs2_x=14 & obs2_y=3 & x=15 & y=5 & obs2_x'=15 & obs2_y'=5)
& []!(x'=14 & y'=3 & obs2_x=14 & obs2_y=3 & x=15 & y=6 & obs2_x'=15 & obs2_y'=6)
& []!(x'=14 & y'=3 & obs2_x=14 & obs2_y=3 & x=15 & y=7 & obs2_x'=15 & obs2_y'=7)
& []!(x'=14 & y'=4 & obs2_x=14 & obs2_y=4 & x=14 & y=0 & obs2_x'=14 & obs2_y'=0)
& []!(x'=14 & y'=4 & obs2_x=14 & obs2_y=4 & x=14 & y=1 & obs2_x'=14 & obs2_y'=1)
& []!(x'=14 & y'=4 & obs2_x=14 & obs2_y=4 & x=14 & y=2 & obs2_x'=14 & obs2_y'=2)
& []!(x'=14 & y'=4 & obs2_x=14 & obs2_y=4 & x=14 & y=3 & obs2_x'=14 & obs2_y'=3)
& []!(x'=14 & y'=4 & obs2_x=14 & obs2_y=4 & x=14 & y=5 & obs2_x'=14 & obs2_y'=5)
& []!(x'=14 & y'=4 & obs2_x=14 & obs2_y=4 & x=14 & y=6 & obs2_x'=14 & obs2_y'=6)
& []!(x'=14 & y'=4 & obs2_x=14 & obs2_y=4 & x=14 & y=7 & obs2_x'=14 & obs2_y'=7)
& []!(x'=14 & y'=4 & obs2_x=14 & obs2_y=4 & x=15 & y=0 & obs2_x'=15 & obs2_y'=0)
& []!(x'=14 & y'=4 & obs2_x=14 & obs2_y=4 & x=15 & y=1 & obs2_x'=15 & obs2_y'=1)
& []!(x'=14 & y'=4 & obs2_x=14 & obs2_y=4 & x=15 & y=2 & obs2_x'=15 & obs2_y'=2)
& []!(x'=14 & y'=4 & obs2_x=14 & obs2_y=4 & x=15 & y=3 & obs2_x'=15 & obs2_y'=3)
& []!(x'=14 & y'=4 & obs2_x=14 & obs2_y=4 & x=15 & y=4 & obs2_x'=15 & obs2_y'=4)
& []!(x'=14 & y'=4 & obs2_x=14 & obs2_y=4 & x=15 & y=5 & obs2_x'=15 & obs2_y'=5)
& []!(x'=14 & y'=4 & obs2_x=14 & obs2_y=4 & x=15 & y=6 & obs2_x'=15 & obs2_y'=6)
& []!(x'=14 & y'=4 & obs2_x=14 & obs2_y=4 & x=15 & y=7 & obs2_x'=15 & obs2_y'=7)
& []!(x'=14 & y'=5 & obs2_x=14 & obs2_y=5 & x=14 & y=0 & obs2_x'=14 & obs2_y'=0)
& []!(x'=14 & y'=5 & obs2_x=14 & obs2_y=5 & x=14 & y=1 & obs2_x'=14 & obs2_y'=1)
& []!(x'=14 & y'=5 & obs2_x=14 & obs2_y=5 & x=14 & y=2 & obs2_x'=14 & obs2_y'=2)
& []!(x'=14 & y'=5 & obs2_x=14 & obs2_y=5 & x=14 & y=3 & obs2_x'=14 & obs2_y'=3)
& []!(x'=14 & y'=5 & obs2_x=14 & obs2_y=5 & x=14 & y=4 & obs2_x'=14 & obs2_y'=4)
& []!(x'=14 & y'=5 & obs2_x=14 & obs2_y=5 & x=14 & y=6 & obs2_x'=14 & obs2_y'=6)
& []!(x'=14 & y'=5 & obs2_x=14 & obs2_y=5 & x=14 & y=7 & obs2_x'=14 & obs2_y'=7)
& []!(x'=14 & y'=5 & obs2_x=14 & obs2_y=5 & x=15 & y=0 & obs2_x'=15 & obs2_y'=0)
& []!(x'=14 & y'=5 & obs2_x=14 & obs2_y=5 & x=15 & y=1 & obs2_x'=15 & obs2_y'=1)
& []!(x'=14 & y'=5 & obs2_x=14 & obs2_y=5 & x=15 & y=2 & obs2_x'=15 & obs2_y'=2)
& []!(x'=14 & y'=5 & obs2_x=14 & obs2_y=5 & x=15 & y=3 & obs2_x'=15 & obs2_y'=3)
& []!(x'=14 & y'=5 & obs2_x=14 & obs2_y=5 & x=15 & y=4 & obs2_x'=15 & obs2_y'=4)
& []!(x'=14 & y'=5 & obs2_x=14 & obs2_y=5 & x=15 & y=5 & obs2_x'=15 & obs2_y'=5)
& []!(x'=14 & y'=5 & obs2_x=14 & obs2_y=5 & x=15 & y=6 & obs2_x'=15 & obs2_y'=6)
& []!(x'=14 & y'=5 & obs2_x=14 & obs2_y=5 & x=15 & y=7 & obs2_x'=15 & obs2_y'=7)
& []!(x'=14 & y'=6 & obs2_x=14 & obs2_y=6 & x=14 & y=0 & obs2_x'=14 & obs2_y'=0)
& []!(x'=14 & y'=6 & obs2_x=14 & obs2_y=6 & x=14 & y=1 & obs2_x'=14 & obs2_y'=1)
& []!(x'=14 & y'=6 & obs2_x=14 & obs2_y=6 & x=14 & y=2 & obs2_x'=14 & obs2_y'=2)
& []!(x'=14 & y'=6 & obs2_x=14 & obs2_y=6 & x=14 & y=3 & obs2_x'=14 & obs2_y'=3)
& []!(x'=14 & y'=6 & obs2_x=14 & obs2_y=6 & x=14 & y=4 & obs2_x'=14 & obs2_y'=4)
& []!(x'=14 & y'=6 & obs2_x=14 & obs2_y=6 & x=14 & y=5 & obs2_x'=14 & obs2_y'=5)
& []!(x'=14 & y'=6 & obs2_x=14 & obs2_y=6 & x=14 & y=7 & obs2_x'=14 & obs2_y'=7)
& []!(x'=14 & y'=6 & obs2_x=14 & obs2_y=6 & x=15 & y=0 & obs2_x'=15 & obs2_y'=0)
& []!(x'=14 & y'=6 & obs2_x=14 & obs2_y=6 & x=15 & y=1 & obs2_x'=15 & obs2_y'=1)
& []!(x'=14 & y'=6 & obs2_x=14 & obs2_y=6 & x=15 & y=2 & obs2_x'=15 & obs2_y'=2)
& []!(x'=14 & y'=6 & obs2_x=14 & obs2_y=6 & x=15 & y=3 & obs2_x'=15 & obs2_y'=3)
& []!(x'=14 & y'=6 & obs2_x=14 & obs2_y=6 & x=15 & y=4 & obs2_x'=15 & obs2_y'=4)
& []!(x'=14 & y'=6 & obs2_x=14 & obs2_y=6 & x=15 & y=5 & obs2_x'=15 & obs2_y'=5)
& []!(x'=14 & y'=6 & obs2_x=14 & obs2_y=6 & x=15 & y=6 & obs2_x'=15 & obs2_y'=6)
& []!(x'=14 & y'=6 & obs2_x=14 & obs2_y=6 & x=15 & y=7 & obs2_x'=15 & obs2_y'=7)
& []!(x'=14 & y'=7 & obs2_x=14 & obs2_y=7 & x=14 & y=0 & obs2_x'=14 & obs2_y'=0)
& []!(x'=14 & y'=7 & obs2_x=14 & obs2_y=7 & x=14 & y=1 & obs2_x'=14 & obs2_y'=1)
& []!(x'=14 & y'=7 & obs2_x=14 & obs2_y=7 & x=14 & y=2 & obs2_x'=14 & obs2_y'=2)
& []!(x'=14 & y'=7 & obs2_x=14 & obs2_y=7 & x=14 & y=3 & obs2_x'=14 & obs2_y'=3)
& []!(x'=14 & y'=7 & obs2_x=14 & obs2_y=7 & x=14 & y=4 & obs2_x'=14 & obs2_y'=4)
& []!(x'=14 & y'=7 & obs2_x=14 & obs2_y=7 & x=14 & y=5 & obs2_x'=14 & obs2_y'=5)
& []!(x'=14 & y'=7 & obs2_x=14 & obs2_y=7 & x=14 & y=6 & obs2_x'=14 & obs2_y'=6)
& []!(x'=14 & y'=7 & obs2_x=14 & obs2_y=7 & x=15 & y=0 & obs2_x'=15 & obs2_y'=0)
& []!(x'=14 & y'=7 & obs2_x=14 & obs2_y=7 & x=15 & y=1 & obs2_x'=15 & obs2_y'=1)
& []!(x'=14 & y'=7 & obs2_x=14 & obs2_y=7 & x=15 & y=2 & obs2_x'=15 & obs2_y'=2)
& []!(x'=14 & y'=7 & obs2_x=14 & obs2_y=7 & x=15 & y=3 & obs2_x'=15 & obs2_y'=3)
& []!(x'=14 & y'=7 & obs2_x=14 & obs2_y=7 & x=15 & y=4 & obs2_x'=15 & obs2_y'=4)
& []!(x'=14 & y'=7 & obs2_x=14 & obs2_y=7 & x=15 & y=5 & obs2_x'=15 & obs2_y'=5)
& []!(x'=14 & y'=7 & obs2_x=14 & obs2_y=7 & x=15 & y=6 & obs2_x'=15 & obs2_y'=6)
& []!(x'=14 & y'=7 & obs2_x=14 & obs2_y=7 & x=15 & y=7 & obs2_x'=15 & obs2_y'=7)
& []!(x'=15 & y'=0 & obs2_x=15 & obs2_y=0 & x=14 & y=0 & obs2_x'=14 & obs2_y'=0)
& []!(x'=15 & y'=0 & obs2_x=15 & obs2_y=0 & x=14 & y=1 & obs2_x'=14 & obs2_y'=1)
& []!(x'=15 & y'=0 & obs2_x=15 & obs2_y=0 & x=14 & y=2 & obs2_x'=14 & obs2_y'=2)
& []!(x'=15 & y'=0 & obs2_x=15 & obs2_y=0 & x=14 & y=3 & obs2_x'=14 & obs2_y'=3)
& []!(x'=15 & y'=0 & obs2_x=15 & obs2_y=0 & x=14 & y=4 & obs2_x'=14 & obs2_y'=4)
& []!(x'=15 & y'=0 & obs2_x=15 & obs2_y=0 & x=14 & y=5 & obs2_x'=14 & obs2_y'=5)
& []!(x'=15 & y'=0 & obs2_x=15 & obs2_y=0 & x=14 & y=6 & obs2_x'=14 & obs2_y'=6)
& []!(x'=15 & y'=0 & obs2_x=15 & obs2_y=0 & x=14 & y=7 & obs2_x'=14 & obs2_y'=7)
& []!(x'=15 & y'=0 & obs2_x=15 & obs2_y=0 & x=15 & y=1 & obs2_x'=15 & obs2_y'=1)
& []!(x'=15 & y'=0 & obs2_x=15 & obs2_y=0 & x=15 & y=2 & obs2_x'=15 & obs2_y'=2)
& []!(x'=15 & y'=0 & obs2_x=15 & obs2_y=0 & x=15 & y=3 & obs2_x'=15 & obs2_y'=3)
& []!(x'=15 & y'=0 & obs2_x=15 & obs2_y=0 & x=15 & y=4 & obs2_x'=15 & obs2_y'=4)
& []!(x'=15 & y'=0 & obs2_x=15 & obs2_y=0 & x=15 & y=5 & obs2_x'=15 & obs2_y'=5)
& []!(x'=15 & y'=0 & obs2_x=15 & obs2_y=0 & x=15 & y=6 & obs2_x'=15 & obs2_y'=6)
& []!(x'=15 & y'=0 & obs2_x=15 & obs2_y=0 & x=15 & y=7 & obs2_x'=15 & obs2_y'=7)
& []!(x'=15 & y'=1 & obs2_x=15 & obs2_y=1 & x=14 & y=0 & obs2_x'=14 & obs2_y'=0)
& []!(x'=15 & y'=1 & obs2_x=15 & obs2_y=1 & x=14 & y=1 & obs2_x'=14 & obs2_y'=1)
& []!(x'=15 & y'=1 & obs2_x=15 & obs2_y=1 & x=14 & y=2 & obs2_x'=14 & obs2_y'=2)
& []!(x'=15 & y'=1 & obs2_x=15 & obs2_y=1 & x=14 & y=3 & obs2_x'=14 & obs2_y'=3)
& []!(x'=15 & y'=1 & obs2_x=15 & obs2_y=1 & x=14 & y=4 & obs2_x'=14 & obs2_y'=4)
& []!(x'=15 & y'=1 & obs2_x=15 & obs2_y=1 & x=14 & y=5 & obs2_x'=14 & obs2_y'=5)
& []!(x'=15 & y'=1 & obs2_x=15 & obs2_y=1 & x=14 & y=6 & obs2_x'=14 & obs2_y'=6)
& []!(x'=15 & y'=1 & obs2_x=15 & obs2_y=1 & x=14 & y=7 & obs2_x'=14 & obs2_y'=7)
& []!(x'=15 & y'=1 & obs2_x=15 & obs2_y=1 & x=15 & y=0 & obs2_x'=15 & obs2_y'=0)
& []!(x'=15 & y'=1 & obs2_x=15 & obs2_y=1 & x=15 & y=2 & obs2_x'=15 & obs2_y'=2)
& []!(x'=15 & y'=1 & obs2_x=15 & obs2_y=1 & x=15 & y=3 & obs2_x'=15 & obs2_y'=3)
& []!(x'=15 & y'=1 & obs2_x=15 & obs2_y=1 & x=15 & y=4 & obs2_x'=15 & obs2_y'=4)
& []!(x'=15 & y'=1 & obs2_x=15 & obs2_y=1 & x=15 & y=5 & obs2_x'=15 & obs2_y'=5)
& []!(x'=15 & y'=1 & obs2_x=15 & obs2_y=1 & x=15 & y=6 & obs2_x'=15 & obs2_y'=6)
& []!(x'=15 & y'=1 & obs2_x=15 & obs2_y=1 & x=15 & y=7 & obs2_x'=15 & obs2_y'=7)
& []!(x'=15 & y'=2 & obs2_x=15 & obs2_y=2 & x=14 & y=0 & obs2_x'=14 & obs2_y'=0)
& []!(x'=15 & y'=2 & obs2_x=15 & obs2_y=2 & x=14 & y=1 & obs2_x'=14 & obs2_y'=1)
& []!(x'=15 & y'=2 & obs2_x=15 & obs2_y=2 & x=14 & y=2 & obs2_x'=14 & obs2_y'=2)
& []!(x'=15 & y'=2 & obs2_x=15 & obs2_y=2 & x=14 & y=3 & obs2_x'=14 & obs2_y'=3)
& []!(x'=15 & y'=2 & obs2_x=15 & obs2_y=2 & x=14 & y=4 & obs2_x'=14 & obs2_y'=4)
& []!(x'=15 & y'=2 & obs2_x=15 & obs2_y=2 & x=14 & y=5 & obs2_x'=14 & obs2_y'=5)
& []!(x'=15 & y'=2 & obs2_x=15 & obs2_y=2 & x=14 & y=6 & obs2_x'=14 & obs2_y'=6)
& []!(x'=15 & y'=2 & obs2_x=15 & obs2_y=2 & x=14 & y=7 & obs2_x'=14 & obs2_y'=7)
& []!(x'=15 & y'=2 & obs2_x=15 & obs2_y=2 & x=15 & y=0 & obs2_x'=15 & obs2_y'=0)
& []!(x'=15 & y'=2 & obs2_x=15 & obs2_y=2 & x=15 & y=1 & obs2_x'=15 & obs2_y'=1)
& []!(x'=15 & y'=2 & obs2_x=15 & obs2_y=2 & x=15 & y=3 & obs2_x'=15 & obs2_y'=3)
& []!(x'=15 & y'=2 & obs2_x=15 & obs2_y=2 & x=15 & y=4 & obs2_x'=15 & obs2_y'=4)
& []!(x'=15 & y'=2 & obs2_x=15 & obs2_y=2 & x=15 & y=5 & obs2_x'=15 & obs2_y'=5)
& []!(x'=15 & y'=2 & obs2_x=15 & obs2_y=2 & x=15 & y=6 & obs2_x'=15 & obs2_y'=6)
& []!(x'=15 & y'=2 & obs2_x=15 & obs2_y=2 & x=15 & y=7 & obs2_x'=15 & obs2_y'=7)
& []!(x'=15 & y'=3 & obs2_x=15 & obs2_y=3 & x=14 & y=0 & obs2_x'=14 & obs2_y'=0)
& []!(x'=15 & y'=3 & obs2_x=15 & obs2_y=3 & x=14 & y=1 & obs2_x'=14 & obs2_y'=1)
& []!(x'=15 & y'=3 & obs2_x=15 & obs2_y=3 & x=14 & y=2 & obs2_x'=14 & obs2_y'=2)
& []!(x'=15 & y'=3 & obs2_x=15 & obs2_y=3 & x=14 & y=3 & obs2_x'=14 & obs2_y'=3)
& []!(x'=15 & y'=3 & obs2_x=15 & obs2_y=3 & x=14 & y=4 & obs2_x'=14 & obs2_y'=4)
& []!(x'=15 & y'=3 & obs2_x=15 & obs2_y=3 & x=14 & y=5 & obs2_x'=14 & obs2_y'=5)
& []!(x'=15 & y'=3 & obs2_x=15 & obs2_y=3 & x=14 & y=6 & obs2_x'=14 & obs2_y'=6)
& []!(x'=15 & y'=3 & obs2_x=15 & obs2_y=3 & x=14 & y=7 & obs2_x'=14 & obs2_y'=7)
& []!(x'=15 & y'=3 & obs2_x=15 & obs2_y=3 & x=15 & y=0 & obs2_x'=15 & obs2_y'=0)
& []!(x'=15 & y'=3 & obs2_x=15 & obs2_y=3 & x=15 & y=1 & obs2_x'=15 & obs2_y'=1)
& []!(x'=15 & y'=3 & obs2_x=15 & obs2_y=3 & x=15 & y=2 & obs2_x'=15 & obs2_y'=2)
& []!(x'=15 & y'=3 & obs2_x=15 & obs2_y=3 & x=15 & y=4 & obs2_x'=15 & obs2_y'=4)
& []!(x'=15 & y'=3 & obs2_x=15 & obs2_y=3 & x=15 & y=5 & obs2_x'=15 & obs2_y'=5)
& []!(x'=15 & y'=3 & obs2_x=15 & obs2_y=3 & x=15 & y=6 & obs2_x'=15 & obs2_y'=6)
& []!(x'=15 & y'=3 & obs2_x=15 & obs2_y=3 & x=15 & y=7 & obs2_x'=15 & obs2_y'=7)
& []!(x'=15 & y'=4 & obs2_x=15 & obs2_y=4 & x=14 & y=0 & obs2_x'=14 & obs2_y'=0)
& []!(x'=15 & y'=4 & obs2_x=15 & obs2_y=4 & x=14 & y=1 & obs2_x'=14 & obs2_y'=1)
& []!(x'=15 & y'=4 & obs2_x=15 & obs2_y=4 & x=14 & y=2 & obs2_x'=14 & obs2_y'=2)
& []!(x'=15 & y'=4 & obs2_x=15 & obs2_y=4 & x=14 & y=3 & obs2_x'=14 & obs2_y'=3)
& []!(x'=15 & y'=4 & obs2_x=15 & obs2_y=4 & x=14 & y=4 & obs2_x'=14 & obs2_y'=4)
& []!(x'=15 & y'=4 & obs2_x=15 & obs2_y=4 & x=14 & y=5 & obs2_x'=14 & obs2_y'=5)
& []!(x'=15 & y'=4 & obs2_x=15 & obs2_y=4 & x=14 & y=6 & obs2_x'=14 & obs2_y'=6)
& []!(x'=15 & y'=4 & obs2_x=15 & obs2_y=4 & x=14 & y=7 & obs2_x'=14 & obs2_y'=7)
& []!(x'=15 & y'=4 & obs2_x=15 & obs2_y=4 & x=15 & y=0 & obs2_x'=15 & obs2_y'=0)
& []!(x'=15 & y'=4 & obs2_x=15 & obs2_y=4 & x=15 & y=1 & obs2_x'=15 & obs2_y'=1)
& []!(x'=15 & y'=4 & obs2_x=15 & obs2_y=4 & x=15 & y=2 & obs2_x'=15 & obs2_y'=2)
& []!(x'=15 & y'=4 & obs2_x=15 & obs2_y=4 & x=15 & y=3 & obs2_x'=15 & obs2_y'=3)
& []!(x'=15 & y'=4 & obs2_x=15 & obs2_y=4 & x=15 & y=5 & obs2_x'=15 & obs2_y'=5)
& []!(x'=15 & y'=4 & obs2_x=15 & obs2_y=4 & x=15 & y=6 & obs2_x'=15 & obs2_y'=6)
& []!(x'=15 & y'=4 & obs2_x=15 & obs2_y=4 & x=15 & y=7 & obs2_x'=15 & obs2_y'=7)
& []!(x'=15 & y'=5 & obs2_x=15 & obs2_y=5 & x=14 & y=0 & obs2_x'=14 & obs2_y'=0)
& []!(x'=15 & y'=5 & obs2_x=15 & obs2_y=5 & x=14 & y=1 & obs2_x'=14 & obs2_y'=1)
& []!(x'=15 & y'=5 & obs2_x=15 & obs2_y=5 & x=14 & y=2 & obs2_x'=14 & obs2_y'=2)
& []!(x'=15 & y'=5 & obs2_x=15 & obs2_y=5 & x=14 & y=3 & obs2_x'=14 & obs2_y'=3)
& []!(x'=15 & y'=5 & obs2_x=15 & obs2_y=5 & x=14 & y=4 & obs2_x'=14 & obs2_y'=4)
& []!(x'=15 & y'=5 & obs2_x=15 & obs2_y=5 & x=14 & y=5 & obs2_x'=14 & obs2_y'=5)
& []!(x'=15 & y'=5 & obs2_x=15 & obs2_y=5 & x=14 & y=6 & obs2_x'=14 & obs2_y'=6)
& []!(x'=15 & y'=5 & obs2_x=15 & obs2_y=5 & x=14 & y=7 & obs2_x'=14 & obs2_y'=7)
& []!(x'=15 & y'=5 & obs2_x=15 & obs2_y=5 & x=15 & y=0 & obs2_x'=15 & obs2_y'=0)
& []!(x'=15 & y'=5 & obs2_x=15 & obs2_y=5 & x=15 & y=1 & obs2_x'=15 & obs2_y'=1)
& []!(x'=15 & y'=5 & obs2_x=15 & obs2_y=5 & x=15 & y=2 & obs2_x'=15 & obs2_y'=2)
& []!(x'=15 & y'=5 & obs2_x=15 & obs2_y=5 & x=15 & y=3 & obs2_x'=15 & obs2_y'=3)
& []!(x'=15 & y'=5 & obs2_x=15 & obs2_y=5 & x=15 & y=4 & obs2_x'=15 & obs2_y'=4)
& []!(x'=15 & y'=5 & obs2_x=15 & obs2_y=5 & x=15 & y=6 & obs2_x'=15 & obs2_y'=6)
& []!(x'=15 & y'=5 & obs2_x=15 & obs2_y=5 & x=15 & y=7 & obs2_x'=15 & obs2_y'=7)
& []!(x'=15 & y'=6 & obs2_x=15 & obs2_y=6 & x=14 & y=0 & obs2_x'=14 & obs2_y'=0)
& []!(x'=15 & y'=6 & obs2_x=15 & obs2_y=6 & x=14 & y=1 & obs2_x'=14 & obs2_y'=1)
& []!(x'=15 & y'=6 & obs2_x=15 & obs2_y=6 & x=14 & y=2 & obs2_x'=14 & obs2_y'=2)
& []!(x'=15 & y'=6 & obs2_x=15 & obs2_y=6 & x=14 & y=3 & obs2_x'=14 & obs2_y'=3)
& []!(x'=15 & y'=6 & obs2_x=15 & obs2_y=6 & x=14 & y=4 & obs2_x'=14 & obs2_y'=4)
& []!(x'=15 & y'=6 & obs2_x=15 & obs2_y=6 & x=14 & y=5 & obs2_x'=14 & obs2_y'=5)
& []!(x'=15 & y'=6 & obs2_x=15 & obs2_y=6 & x=14 & y=6 & obs2_x'=14 & obs2_y'=6)
& []!(x'=15 & y'=6 & obs2_x=15 & obs2_y=6 & x=14 & y=7 & obs2_x'=14 & obs2_y'=7)
& []!(x'=15 & y'=6 & obs2_x=15 & obs2_y=6 & x=15 & y=0 & obs2_x'=15 & obs2_y'=0)
& []!(x'=15 & y'=6 & obs2_x=15 & obs2_y=6 & x=15 & y=1 & obs2_x'=15 & obs2_y'=1)
& []!(x'=15 & y'=6 & obs2_x=15 & obs2_y=6 & x=15 & y=2 & obs2_x'=15 & obs2_y'=2)
& []!(x'=15 & y'=6 & obs2_x=15 & obs2_y=6 & x=15 & y=3 & obs2_x'=15 & obs2_y'=3)
& []!(x'=15 & y'=6 & obs2_x=15 & obs2_y=6 & x=15 & y=4 & obs2_x'=15 & obs2_y'=4)
& []!(x'=15 & y'=6 & obs2_x=15 & obs2_y=6 & x=15 & y=5 & obs2_x'=15 & obs2_y'=5)
& []!(x'=15 & y'=6 & obs2_x=15 & obs2_y=6 & x=15 & y=7 & obs2_x'=15 & obs2_y'=7)
& []!(x'=15 & y'=7 & obs2_x=15 & obs2_y=7 & x=14 & y=0 & obs2_x'=14 & obs2_y'=0)
& []!(x'=15 & y'=7 & obs2_x=15 & obs2_y=7 & x=14 & y=1 & obs2_x'=14 & obs2_y'=1)
& []!(x'=15 & y'=7 & obs2_x=15 & obs2_y=7 & x=14 & y=2 & obs2_x'=14 & obs2_y'=2)
& []!(x'=15 & y'=7 & obs2_x=15 & obs2_y=7 & x=14 & y=3 & obs2_x'=14 & obs2_y'=3)
& []!(x'=15 & y'=7 & obs2_x=15 & obs2_y=7 & x=14 & y=4 & obs2_x'=14 & obs2_y'=4)
& []!(x'=15 & y'=7 & obs2_x=15 & obs2_y=7 & x=14 & y=5 & obs2_x'=14 & obs2_y'=5)
& []!(x'=15 & y'=7 & obs2_x=15 & obs2_y=7 & x=14 & y=6 & obs2_x'=14 & obs2_y'=6)
& []!(x'=15 & y'=7 & obs2_x=15 & obs2_y=7 & x=14 & y=7 & obs2_x'=14 & obs2_y'=7)
& []!(x'=15 & y'=7 & obs2_x=15 & obs2_y=7 & x=15 & y=0 & obs2_x'=15 & obs2_y'=0)
& []!(x'=15 & y'=7 & obs2_x=15 & obs2_y=7 & x=15 & y=1 & obs2_x'=15 & obs2_y'=1)
& []!(x'=15 & y'=7 & obs2_x=15 & obs2_y=7 & x=15 & y=2 & obs2_x'=15 & obs2_y'=2)
& []!(x'=15 & y'=7 & obs2_x=15 & obs2_y=7 & x=15 & y=3 & obs2_x'=15 & obs2_y'=3)
& []!(x'=15 & y'=7 & obs2_x=15 & obs2_y=7 & x=15 & y=4 & obs2_x'=15 & obs2_y'=4)
& []!(x'=15 & y'=7 & obs2_x=15 & obs2_y=7 & x=15 & y=5 & obs2_x'=15 & obs2_y'=5)
& []!(x'=15 & y'=7 & obs2_x=15 & obs2_y=7 & x=15 & y=6 & obs2_x'=15 & obs2_y'=6)
;

SYSGOAL: []<>(x=0 & y=0) & []<>(x=31 & y=7);
